%define upstream_name    Workflow
%define upstream_version 1.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Pull IDs from databases that autogenerate them
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Class::Factory)
BuildRequires: perl(Class::Observable)
BuildRequires: perl(DBD::Mock)
BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Dispatch)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Safe)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Data::UUID)
BuildArch: noarch

%description
Overview
    This is a standalone workflow system. It is designed to fit into your
    system rather than force your system to fit to it. You can save
    workflow information to a database or the filesystem (or a custom
    storage). The different components of a workflow system can be included
    separately as libraries to allow for maximum reusibility.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml README TODO eg
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.420.0-3pclos2017
- rebuild against updates

